Deactivate a volume

This call deactivates a volume. Note that this request is based off of the PATCH request to update a volume.

Once deactivated, you cannot import from, export to, or browse within a volume. As such, the content of the files imported from this volume will no longer be accessible on the Platform. However, you can update the volume and manage members. Note that you cannot deactivate the volume if you have running imports or exports unless you force the operation using the query parameter force=true, as described below.

Note that to delete a volume, first you must deactivate it and delete all files which have been imported from the volume to the Platform.

If you want to reactivate the volume at a later time, make this call again with the key "active" set to "true" in the request body.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

If you are using Seven Bridges Platform EU, please use the following endpoint: https://eu-api.sbgenomics.com/v2/storage/volumes/{volume_owner_username}/{volume_name}

Example request body

{
    "active": false
}

Response

See a list of Seven Bridges Platform-specific response codes that may be contained in the body of the response .

Response body

The response object contains information about the specified volume. The information is structured using the following key-value pairs:

KeyData type of valueDescription of value
activeBooleanIf a volume is deactivated, this field will be set to false
idStringID of this volume, containing owner/name
nameStringName of the volume.
descriptionStringThe description of this volume.
created_onStringThe date and time this volume was created.
modified_onStringThe date and time this volume was last modified.
👍

Note that you cannot view volumes that you have created via the visual interface. However, you can see all your volumes by making the call to list volumes.

Path Params
string
required

The username of the volume owner.

string
required

The name of the volume you want to deactivate.

Query Params
boolean

Set this to true to force-quit ongoing import or export operations on a volume you intend to deactivate

Body Params
boolean

Set this to false to deactivate the volume. Note that if there are ongoing import or export operations on the volume, you must force-quit the operations using the query parameter force=true. To reactivate a volume, set this back to true again.

Headers
string
required

Your Seven Bridges Platform authentication token. For security reasons, token will not be automatically populated in the generated code sample. Please replace <your-token-here> with your token before executing this call.

Response

Language
LoadingLoading…
Response
Choose an example:
application/json